> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Completes a pending authentication using a FIDO2 key.

> Completes a pending authentication using a FIDO2 key.

## OpenAPI

````json POST /sys/v1/session/auth/2fa/fido2
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/session/auth/2fa/fido2": {
      "post": {
        "operationId": "CompleteFido2Auth",
        "tags": [
          "Fido"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Completes a pending authentication using a FIDO2 key.",
        "description": "Completes a pending authentication using a FIDO2 key.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PublicKeyCredentialAuthenticatorAssertionResponse"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "Nothing is returned on success"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PublicKeyCredentialAuthenticatorAssertionResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Contains the attributes that are returned to the caller when a new\ncredential is created, or a new assertion is requested.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/Base64UrlSafe",
                "description": "Credential's identifier."
              },
              "type": {
                "$ref": "#/components/schemas/PublicKeyCredentialType",
                "description": "Type of credential."
              },
              "response": {
                "$ref": "#/components/schemas/AuthenticatorAssertionResponse"
              },
              "get_client_extension_results": {
                "$ref": "#/components/schemas/AuthenticationExtensionsClientOutputs",
                "description": "This field contains client extension output entries produced\nby the extension’s client extension processing."
              }
            }
          }
        ]
      },
      "Base64UrlSafe": {
        "type": "string",
        "format": "byte"
      },
      "PublicKeyCredentialType": {
        "description": "https://www.w3.org/TR/webauthn-2/#enum-credentialType\n\nThis enum defines valid cred types.",
        "type": "string",
        "enum": [
          "public-key"
        ]
      },
      "AuthenticatorAssertionResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "<https://www.w3.org/TR/webauthn-2/#iface-authenticatorassertionresponse>",
            "properties": {
              "clientDataJSON": {
                "$ref": "#/components/schemas/Base64UrlSafe"
              },
              "authenticatorData": {
                "$ref": "#/components/schemas/Base64UrlSafe"
              },
              "signature": {
                "$ref": "#/components/schemas/Base64UrlSafe"
              },
              "userHandle": {
                "$ref": "#/components/schemas/Base64UrlSafe"
              }
            },
            "required": [
              "clientDataJSON",
              "authenticatorData",
              "signature"
            ]
          }
        ]
      },
      "AuthenticationExtensionsClientOutputs": {
        "allOf": [
          {
            "type": "object",
            "description": "This is the response of extension inputs. For every input,\nan output must be returned if the input was considered.\n\n<https://www.w3.org/TR/webauthn-2/#iface-authentication-extensions-client-outputs>",
            "properties": {
              "appidExclude": {
                "type": "boolean",
                "nullable": true,
                "description": "Response of `appidExclude` extension.\nSee [AuthenticationExtensionsClientInputs::appid_exclude]."
              },
              "appid": {
                "type": "boolean",
                "nullable": true,
                "description": "Response of `appid` extension.\nSee [AuthenticationExtensionsClientInputs::appid]."
              }
            }
          }
        ]
      }
    }
  }
}
````

